# Upload a file

Launch stage: Public Preview

`PUT /api/2.0/fs/files{file_path}`

Uploads a file of up to 5 GiB. The file contents should be sent as the request body as
 raw bytes (an octet stream); do not encode or otherwise modify the bytes before sending.
 The contents of the resulting file will be exactly the bytes sent in the request body.
 If the request is successful, there is no response body.

API scopes: files

## Path parameters

- `file_path` (string, required)
  The absolute path of the file.
  Example: `/Volumes/my-catalog/my-schema/my-volume/directory/file.txt` : A file

## Query parameters

- `overwrite` (boolean, optional)
  If true or unspecified, an existing file will be overwritten. If false, an error will be returned if the path points to an existing file.

## Request

```text
date,temperature_c
2026-08-24,21.5
2026-08-25,22.1
```

## Responses

### 204

Request successful, but no content returned.

## Response

```json
{}
```
